(Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Forum rules
Before you post please read this
User avatar
felemur
Level 4
Level 4
Posts: 459
Joined: Sun Sep 20, 2015 2:22 pm
Location: In the middle of 1000's of acres of corn & soy fields in a house full of cats.

(Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by felemur » Mon Jul 09, 2018 6:03 pm

I have a Epson Perfection V500 Photo Scanner GT-X770 that was working perfectly under Mint 17 & 18 series. I did a fresh install of Mint 19 Cinnamon, and all is good except for the scanner. Neither Image Scan or Simple Scan can "see" it.

I installed the correct Linux drivers from Epson, and tried both the Image Scan! app from Epson, and the Image Scan app from the repositories. All say there is no scanner. Yet, when I went to Terminal and did lsusb, I get this:

Code: Select all

david@david-OptiPlex-7010:~$ lsusb
Bus 002 Device 003: ID 051d:0002 American Power Conversion Uninterruptible Power Supply
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 020: ID 04b8:0130 Seiko Epson Corp. GT-X770 [Perfection V500]
Bus 001 Device 017: ID 05dc:a81d Lexar Media, Inc. 
Bus 003 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
david@david-OptiPlex-7010:~$ 
So, I know it is working, or it wouldn't show up there. I'm stumped, so any ideas would be very welcome.
BTW, I did a restart after the installation of the drivers, and tried turning on and off the scanner. :) (as any previous Windows user would have).

My computer is a Dell Optiplex 7010 desktop, i7, 3770, and I'm running Mint Cinnamon 19 with all updates.
Last edited by felemur on Tue Jul 10, 2018 12:18 pm, edited 2 times in total.

User avatar
felemur
Level 4
Level 4
Posts: 459
Joined: Sun Sep 20, 2015 2:22 pm
Location: In the middle of 1000's of acres of corn & soy fields in a house full of cats.

Re: Epson Scanner not usable since update to Mint 19

Post by felemur » Tue Jul 10, 2018 8:27 am

I don't know if this helps, but even though the scanner is listed when doing: lsub, it gives this response when I enter: sudo scanimage -L

Code: Select all

david@david-OptiPlex-7010:~$ sudo scanimage -L
[sudo] password for david: 

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
david@david-OptiPlex-7010:~$ 
So, then I tried: sudo sane-find-scanner

Code: Select all

david@david-OptiPlex-7010:~$ sudo sane-find-scanner

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

found USB scanner (vendor=0x04b8 [EPSON], product=0x0130 [EPSON Scanner]) at libusb:001:021
could not fetch string descriptor: Pipe error
could not fetch string descriptor: Pipe error
  # Your USB scanner was (probably) detected. It may or may not be supported by
  # SANE. Try scanimage -L and read the backend's manpage.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.
david@david-OptiPlex-7010:~$ 
So what is a pipe error, and more to the point, what do I do to remedy this?

samiel60
Level 3
Level 3
Posts: 129
Joined: Thu Apr 13, 2017 1:03 pm

Re: Epson Scanner not usable since update to Mint 19 - Pipe error

Post by samiel60 » Tue Jul 10, 2018 11:10 am

Did u try the solution of the following tread?
viewtopic.php?f=51&t=272238&p=1493317#p1493317

User avatar
felemur
Level 4
Level 4
Posts: 459
Joined: Sun Sep 20, 2015 2:22 pm
Location: In the middle of 1000's of acres of corn & soy fields in a house full of cats.

Re: Epson Scanner not usable since update to Mint 19 - Pipe error

Post by felemur » Tue Jul 10, 2018 12:18 pm

Thank you for that suggestion, it led me to this: https://bugs.launchpad.net/ubuntu/+sour ... omments/25
and that worked. I appreciate the help.

ParaDice
Level 1
Level 1
Posts: 36
Joined: Sat Aug 27, 2016 6:38 am

Re: Epson Scanner not usable since update to Mint 19 - Pipe error

Post by ParaDice » Thu Jul 19, 2018 12:35 pm

felemur wrote:
Tue Jul 10, 2018 12:18 pm
Thank you for that suggestion, it led me to this: https://bugs.launchpad.net/ubuntu/+sour ... omments/25
and that worked. I appreciate the help.
I had similar issues with my Epson GT-S85 scanner under Linux Mint 19. The link above solved the problem for me, too. I'm quoting the solution here in case the link goes dead one day.
a) 'sudo ln -sfr /usr/lib/sane/libsane-epkowa* /usr/lib/x86_64-linux-gnu/sane'
b) generate '/etc/udev/rules.d/79-udev-epson.rules'
content:
# chmod device EPSON group
ATTRS{manufacturer}=="EPSON", DRIVERS=="usb", SUBSYSTEMS=="usb", ATTRS{idVendor}=="04b8", ATTRS{idProduct}=="*", MODE="0777"
Desktop: Linux Mint 19 (Cinnamon x64) , Intel Core i5-4670 / GeForce GTX 660
Notebook: Linux Mint 18.3 (Cinnamon x64), Lenovo E470 (Intel Core i3-7100U / Intel HD Graphics 620)

racooper
Level 1
Level 1
Posts: 5
Joined: Sat Oct 01, 2011 9:24 pm

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by racooper » Wed Jul 25, 2018 8:09 pm

The same solution worked for me with an Epson DS-30 page scanner. Thanks a lot!

lostjohnny
Level 1
Level 1
Posts: 1
Joined: Sat Jul 28, 2018 5:39 am

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by lostjohnny » Sat Jul 28, 2018 5:49 am

Worked for me on my Epson Perfection V39 - eventually.

After following the advice above I had to reinstall the Iscan bundle (I'm fairly sure I'd installed it previously) and then re-enter the command at "a)" (there were also several reboots - just in case.)

Thank you very much.

AdamFirst
Level 1
Level 1
Posts: 26
Joined: Sat Nov 29, 2008 4:34 pm

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by AdamFirst » Sun Aug 19, 2018 8:23 pm

Solution pointed to by felemer and quoted by ParaDice worked for me on my Epson Perfection V330 Photo.

ParaDice
Level 1
Level 1
Posts: 36
Joined: Sat Aug 27, 2016 6:38 am

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by ParaDice » Thu Sep 13, 2018 2:50 pm

I'm coming back to correct myself. Unfortunately, the problem isn't fixed entirely by the above solution.

While the scanner is recognised by the system and can be used for scanning, duplex scanning doesn't seem to work. The problem occurs with scanning software of all kinds, both SimpleScan and gscan2pdf (my weapon of choice) will only scan one side of the page.

At least gscan2pdf with its more sophisticated options gives me a clue of what the problem could be. During device detection, some of the settings disappear, and these are the very settings responsible for enabling single- or dual-page-scanning.
Screenshot from 2018-09-13 20-39-20.png
Screenshot from 2018-09-13 20-39-38.png
I'm not sure how to fix this, though. I've looked through the settings. They allow me to switch from libimage-sane-perl (which is used by default) to scanadf (which sounds about right, after all ADF is responsible for duplex scanning, isn't it?). If I select scanadf, however, gscan2pdf tells me that it is "updating options" during device detection, but never finishes doing so.
Desktop: Linux Mint 19 (Cinnamon x64) , Intel Core i5-4670 / GeForce GTX 660
Notebook: Linux Mint 18.3 (Cinnamon x64), Lenovo E470 (Intel Core i3-7100U / Intel HD Graphics 620)

User avatar
felemur
Level 4
Level 4
Posts: 459
Joined: Sun Sep 20, 2015 2:22 pm
Location: In the middle of 1000's of acres of corn & soy fields in a house full of cats.

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by felemur » Thu Sep 13, 2018 4:15 pm

I am no expert, so take this with a grain of salt, but the fix was only meant to fix the scanner not being recognised. If it scans at all, then the fix worked. My guess here is you need to find a specific driver for your model that works with Linux. Can't help you there, but doing a search for a Epson GT-S85 scanner Linux driver may be a place to start.

https://epson.com/Support/Scanners/Work ... lter=Linux

ParaDice
Level 1
Level 1
Posts: 36
Joined: Sat Aug 27, 2016 6:38 am

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by ParaDice » Thu Sep 13, 2018 5:34 pm

I am aware of the fact that I need the appropriate drivers for this to run, and I have them installed. They used to work properly under Mint 18.3 (Ubuntu 16.04 basis), and since pretty much everything except for duplex works as it should, I was hoping this might be a minor settings or config issue, not a driver problem.
Desktop: Linux Mint 19 (Cinnamon x64) , Intel Core i5-4670 / GeForce GTX 660
Notebook: Linux Mint 18.3 (Cinnamon x64), Lenovo E470 (Intel Core i3-7100U / Intel HD Graphics 620)

User avatar
felemur
Level 4
Level 4
Posts: 459
Joined: Sun Sep 20, 2015 2:22 pm
Location: In the middle of 1000's of acres of corn & soy fields in a house full of cats.

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by felemur » Thu Sep 13, 2018 6:55 pm

Well I did say I was no expert. Hope someone can help you with that.

ParaDice
Level 1
Level 1
Posts: 36
Joined: Sat Aug 27, 2016 6:38 am

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by ParaDice » Sat Sep 15, 2018 9:56 am

I appreciate that you're trying to help anyway, felemur. Thanks! :)

---

I've solved the problem in meantime. While SimpleScan still won't do duplex for some reason, I've managed to get gscan2pdf to do it. Turns out it had the "Preview" scanning option enabled, which does not work with ADF / duplex scanning. Disabling it did the trick for me.
Screenshot from 2018-09-15 15-53-02.png
Best wishes,
yet another happy customer. :lol:
Desktop: Linux Mint 19 (Cinnamon x64) , Intel Core i5-4670 / GeForce GTX 660
Notebook: Linux Mint 18.3 (Cinnamon x64), Lenovo E470 (Intel Core i3-7100U / Intel HD Graphics 620)

User avatar
felemur
Level 4
Level 4
Posts: 459
Joined: Sun Sep 20, 2015 2:22 pm
Location: In the middle of 1000's of acres of corn & soy fields in a house full of cats.

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by felemur » Sat Sep 15, 2018 10:17 am

Hey! Thanks for reminding me of gscan2pdf. I had forgotten to install that after installing Cinnamon 19. I like that program.

User avatar
phd21
Level 17
Level 17
Posts: 7257
Joined: Thu Jan 09, 2014 9:42 pm
Location: Florida

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by phd21 » Sat Sep 15, 2018 10:37 am

Hi felemur, ParaDice, & Anyone Else Interested in this,

I just read your post and the good replies to it. Here are my thoughts on this as well.

+1 for using the excellent "gscan2pdf" application.

FYI: In case you did not know, there are updated versions of "gscan2pdf" and the "sane" scanner libraries that may not be in the Mint repositories but are available in their respective PPA's. I recommend restarting computers after installing these before trying them.

Previous post with the scanning related PPA's and installation instructions.
Simple scan in mint 19 - Linux Mint Forums
viewtopic.php?f=47&t=274108&hilit=gscan2pdf


Hope this helps ...
Phd21: Mint KDE 17.3 & 18.3, 64-bit Awesome OS, Ancient Dell OptiPlex 780 Core2Duo E8400 3GHz,4gb Ram,256gb SDD, Video: Intel 4 Graphics, DVD Lightscribe. Why I use KDE?:https://opensource.com/life/15/4/9-reasons-to-use-kde

User avatar
felemur
Level 4
Level 4
Posts: 459
Joined: Sun Sep 20, 2015 2:22 pm
Location: In the middle of 1000's of acres of corn & soy fields in a house full of cats.

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by felemur » Sat Sep 15, 2018 11:36 am

Thanks phd21. I do prefer having the up-to-date versions, so I will install that PPA. Appreciate the info.

User avatar
phd21
Level 17
Level 17
Posts: 7257
Joined: Thu Jan 09, 2014 9:42 pm
Location: Florida

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by phd21 » Sat Sep 15, 2018 12:16 pm

Hi felemur,

You are welcome...
Phd21: Mint KDE 17.3 & 18.3, 64-bit Awesome OS, Ancient Dell OptiPlex 780 Core2Duo E8400 3GHz,4gb Ram,256gb SDD, Video: Intel 4 Graphics, DVD Lightscribe. Why I use KDE?:https://opensource.com/life/15/4/9-reasons-to-use-kde

ParaDice
Level 1
Level 1
Posts: 36
Joined: Sat Aug 27, 2016 6:38 am

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by ParaDice » Sat Sep 15, 2018 1:21 pm

Hi phd21,

thank you ever so much for pointing me to the PPAs! I have updated gscan2pdf through the PPA. Now even I can even save scanning profiles again (which hadn't been working in the version I got from from the official repos).

Another thumbs up from me! :)
Desktop: Linux Mint 19 (Cinnamon x64) , Intel Core i5-4670 / GeForce GTX 660
Notebook: Linux Mint 18.3 (Cinnamon x64), Lenovo E470 (Intel Core i3-7100U / Intel HD Graphics 620)

User avatar
phd21
Level 17
Level 17
Posts: 7257
Joined: Thu Jan 09, 2014 9:42 pm
Location: Florida

Re: (Solved) Epson Scanner not usable since update to Mint 19 - Pipe error

Post by phd21 » Sat Sep 15, 2018 2:37 pm

Hi ParaDice,

You are welcome...
Phd21: Mint KDE 17.3 & 18.3, 64-bit Awesome OS, Ancient Dell OptiPlex 780 Core2Duo E8400 3GHz,4gb Ram,256gb SDD, Video: Intel 4 Graphics, DVD Lightscribe. Why I use KDE?:https://opensource.com/life/15/4/9-reasons-to-use-kde

Odinista
Level 1
Level 1
Posts: 1
Joined: Fri Oct 05, 2018 3:41 pm

Re: Epson Scanner not usable since update to Mint 19 - Pipe error

Post by Odinista » Fri Oct 05, 2018 4:03 pm

ParaDice wrote:
Thu Jul 19, 2018 12:35 pm
felemur wrote:
Tue Jul 10, 2018 12:18 pm
Thank you for that suggestion, it led me to this: https://bugs.launchpad.net/ubuntu/+sour ... omments/25
and that worked. I appreciate the help.
I had similar issues with my Epson GT-S85 scanner under Linux Mint 19. The link above solved the problem for me, too. I'm quoting the solution here in case the link goes dead one day.
a) 'sudo ln -sfr /usr/lib/sane/libsane-epkowa* /usr/lib/x86_64-linux-gnu/sane'
b) generate '/etc/udev/rules.d/79-udev-epson.rules'
content:
# chmod device EPSON group
ATTRS{manufacturer}=="EPSON", DRIVERS=="usb", SUBSYSTEMS=="usb", ATTRS{idVendor}=="04b8", ATTRS{idProduct}=="*", MODE="0777"
Can someone help me? I tryied to follow these steps but with no success.
Linux mint 19
Epson L395 (printing but not scanning)

When I try to use "IScan" the response is "iScan - could not send command to scanner - check the scanner status".
When I type "sane-find-scanner" the response:
"could not fetch string descriptor: Pipe error
could not fetch string descriptor: Pipe error
found USB scanner (vendor=0x04b8, product=0x1122) at libusb:002:005
could not fetch string descriptor: Pipe error
could not fetch string descriptor: Pipe error
# Your USB scanner was (probably) detected. It may or may not be supported by
# SANE. Try scanimage -L and read the backend's manpage.

# Not checking for parallel port scanners.

# Most Scanners connected to the parallel port or other proprietary ports
# can't be detected by this program."

Using "scanimage -L" the response: "No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages)."

Post Reply

Return to “Printers & Scanners”